MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025216Open CASCADE[OCCT] OCCT:Codingpublic2014-09-04 15:272014-11-11 12:58
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025216: WNT_Window - remove unused fields and types (WNT_WindowData)
DescriptionThere is some unused stuff in WNT_Window which should be removed.
Additional information
and documentation updates
Removed deprecated constructor WNT_Window(const Standard_Integer aPart1,const Standard_Integer aPart2,const Quantity_NameOfColor aBackColor), which took two 16-bit numbers (dangerous on 64-bit systems).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0031369)
git (administrator)
2014-09-04 15:28

Branch CR25216 has been created by kgv.

SHA-1: 8002d0cdc550aaeb65531f8cb4ab2fd8a9e73bb0


Detailed log of new commits:

Author: kgv
Date: Thu Sep 4 15:28:09 2014 +0400

    0025216: WNT_Window - remove unused fields and types (WNT_WindowData)
    
    Clean up InterfaceGraphic.hxx
(0031378)
git (administrator)
2014-09-04 15:50

Branch CR25216 has been updated forcibly by kgv.

SHA-1: 0aeb4755d644dac24a8255af39a8f4d925ef3f0d
(0031379)
kgv (developer)
2014-09-04 15:51

Patch is ready for review in branch CR25216.
(0031525)
apl (developer)
2014-09-09 17:49

Dear Bugmaster,

The branch is reviewed, please test.
(0031527)
git (administrator)
2014-09-09 18:13

Branch CR25216 has been updated forcibly by mkv.

SHA-1: d9699ecdab399d1a0532f18ae6de0a4f80e2422d
(0031532)
mkv (tester)
2014-09-09 20:41

Dear kgv,
Branch CR25216 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: d9699ecdab399d1a0532f18ae6de0a4f80e2422d

There are compilation errors on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25216/job/mnt-CR25216-master_build_occt_linux/1/parsed_console/ [^]
../../../../src/OpenGl/OpenGl_Window.cxx: In constructor ‘OpenGl_Window::OpenGl_Window(const Handle_Aspect_DisplayConnection&, const CALL_DEF_WINDOW&, void*, const Handle_OpenGl_Caps&, const Handle_OpenGl_Context&)’:
../../../../src/OpenGl/OpenGl_Window.cxx:356: error: ‘WINDOW’ was not declared in this scope
../../../../src/OpenGl/OpenGl_Window.cxx:356: error: expected ‘;’ before ‘aParent’
../../../../src/OpenGl/OpenGl_Window.cxx:357: error: expected ‘;’ before ‘aWindow’
../../../../src/OpenGl/OpenGl_Window.cxx:363: error: ‘aParent’ was not declared in this scope
../../../../src/OpenGl/OpenGl_Window.cxx:384: error: ‘aWindow’ was not declared in this scope
../../../../src/OpenGl/OpenGl_Window.cxx:509: error: ‘aWindow’ was not declared in this scope
../../../../src/OpenGl/OpenGl_Window.cxx:514: error: ‘aWindow’ was not declared in this scope
../../../../src/OpenGl/OpenGl_Window.cxx:517: error: ‘aWindow’ was not declared in this scope
../../../../src/OpenGl/OpenGl_Window.cxx:528: error: ‘aWindow’ was not declared in this scope
make[2]: *** [OpenGl_Window.lo] Error 1
(0031533)
git (administrator)
2014-09-09 22:08

Branch CR25216 has been updated by kgv.

SHA-1: 55884d0a8b353a7c714beee731e9637d01dd10d7


Detailed log of new commits:

Author: kgv
Date: Tue Sep 9 22:07:56 2014 +0400

    OpenGl_Window - do not use removed macros WINDOW

(0031534)
kgv (developer)
2014-09-09 22:08

Patch has been updated, please re-test.
(0031594)
git (administrator)
2014-09-10 18:43

Branch CR25216 has been updated forcibly by mkv.

SHA-1: a7989971f2ec2fb193c57f2a75321d35d2e55b5b
(0031739)
mkv (tester)
2014-09-16 11:46

Dear BugMaster,
Branch CR25216 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: a7989971f2ec2fb193c57f2a75321d35d2e55b5b

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 354917492 / 355209688
Total CPU difference: 44721.78000000021 / 45791.5700000001
products component :
Total MEMORY difference: 105036916 / 105024468
Total CPU difference: 16842.87999999999 / 16686.89999999998

Testing on Windows:
occt component :
Total MEMORY difference: 241791696 / 241837776
Total CPU difference: 33968.21875 / 36476.171875
products component :
Total MEMORY difference: 66701256 / 66486588
Total CPU difference: 11457.71875 / 12374.765625

There are no differences in images found by testdiff.
(0031740)
mkv (tester)
2014-09-16 12:05

Dear BugMaster,
Branch CR25216 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode on Debug mode.
SHA-1: a7989971f2ec2fb193c57f2a75321d35d2e55b5b

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 424074484 / 424584104
Total CPU difference: 137304.96999999986 / 156834.03999999928
products component :
Total MEMORY difference: 123614860 / 123684876
Total CPU difference: 33211.09999999999 / 34727.50999999998

Testing on Windows:
occt component :
Total MEMORY difference: 241791696 / 241837776
Total CPU difference: 33968.21875 / 36476.171875
products component :
Total MEMORY difference: 88954056 / 88982112
Total CPU difference: 26816.5625 / 27927.25

There are no differences in images found by testdiff.
(0031741)
mkv (tester)
2014-09-16 12:06

Dear BugMaster,
There is compilation error in Products QT Samples:

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25216/job/mnt-CR25216-master_build_products_qt_samples_windows/3/parsed_console/ [^]
1> OMFSampleView3D.cpp
1>src\OMFSampleView3D.cpp(434): error C2664: 'WNT_Window::WNT_Window(const Aspect_Handle,const Quantity_NameOfColor)' : cannot convert parameter 1 from 'int' to 'const Aspect_Handle'
1> Conversion from integral type to pointer type requires reinterpret_cast, C-style cast or function-style cast
1>
1>Build FAILED.
(0031751)
git (administrator)
2014-09-16 14:11

Branch CR25216 has been updated by mkv.

SHA-1: d35a851f1ee3d3fd9410e67b0d83d61ebc08b3f9


Detailed log of new commits:

Author: mkv
Date: Tue Sep 16 14:10:45 2014 +0400

    Small correction of test case for issue CR25216

(0031793)
kgv (developer)
2014-09-17 12:24

The branch CR25216 has been pushed to Products repository.
Please re-check compilation of Samples and integrate.
(0031905)
git (administrator)
2014-09-19 15:48

Branch CR25216 has been updated forcibly by mkv.

SHA-1: 71f7315c4d272cf66c952aa71e7214af5a525381
(0031930)
mkv (tester)
2014-09-22 10:03

Dear BugMaster,
Branch CR25216 from occt git-repository and CR25216 from products git-repository was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 71f7315c4d272cf66c952aa71e7214af5a525381
SHA-1: 6019348ab2919c38eb35a8b1b435aa6004ff0977

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 193 (193 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

There are not compilation errors in Products QT Samples.
(0032193)
bugmaster (administrator)
2014-09-26 09:59
edited on: 2014-09-26 10:05

Fix causes problems of compilation of training materials.

1>src\View.cxx(225): error C2664: 'WNT_Window::WNT_Window(const Aspect_Handle,const Quantity_NameOfColor)' : cannot convert parameter 1 from 'int' to 'const Aspect_Handle'

http://jenkins-test-03.nnov.opencascade.com:8080/user/inv/my-views/view/Master%20builds%20Windows%20Training/job/mnt-master-master_build_products_qt_training_ocaf_solution_windows/45/parsed_console/ [^]

http://jenkins-test-03.nnov.opencascade.com:8080/user/inv/my-views/view/Master%20builds%20Windows%20Training/job/mnt-master-master_build_products_qt_training_ocaf_windows/44/parsed_console/ [^]

http://jenkins-test-03.nnov.opencascade.com:8080/user/inv/my-views/view/Master%20builds%20Windows%20Training/job/mnt-master-master_build_products_qt_training_visualization_solution_windows/38/parsed_console/ [^]

http://jenkins-test-03.nnov.opencascade.com:8080/user/inv/my-views/view/Master%20builds%20Windows%20Training/job/mnt-master-master_build_products_qt_training_visualization_windows/45/parsed_console/ [^]

Could you please fix it ASAP?

(0032278)
san (developer)
2014-09-29 08:12

Branch CR25216 updated in occt-products, please test.
(0032285)
bugmaster (administrator)
2014-09-29 10:59
edited on: 2014-09-29 10:59

Training materials are compiled without problems

(0032302)
bugmaster (administrator)
2014-09-29 15:33

Fix has been integrated into master of occt and occt-products repositories.
(0032345)
git (administrator)
2014-09-29 23:14

Branch CR25216 has been deleted by kgv.

SHA-1: 71f7315c4d272cf66c952aa71e7214af5a525381

- Related Changesets
occt: master eaf5c5e0
Timestamp: 2014-09-25 09:14:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025216: WNT_Window - remove unused fields and types (WNT_WindowData)

Clean up InterfaceGraphic.hxx

OpenGl_Window - do not use removed macros WINDOW

Small correction of test case for issue CR25216
mod - src/InterfaceGraphic/FILES Diff ] File ]
mod - src/InterfaceGraphic/InterfaceGraphic.hxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_Cocoa.hxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_cPrintf.cxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_WNT.hxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_wntio.hxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_X11.hxx Diff ] File ]
rm - src/InterfaceGraphic/InterfaceGraphic_XWD.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AVIWriter.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
mod - src/WNT/FILES Diff ] File ]
mod - src/WNT/WNT.cdl Diff ] File ]
mod - src/WNT/WNT_WClass.cxx Diff ] File ]
mod - src/WNT/WNT_Window.cdl Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]
mod - src/WNT/WNT_Window.lxx Diff ] File ]
rm - src/WNT/WNT_WindowData.hxx Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/D1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-04 15:27 kgv New Issue
2014-09-04 15:27 kgv Assigned To => kgv
2014-09-04 15:28 git Note Added: 0031369
2014-09-04 15:50 git Note Added: 0031378
2014-09-04 15:51 kgv Note Added: 0031379
2014-09-04 15:51 kgv Assigned To kgv => san
2014-09-04 15:51 kgv Status new => resolved
2014-09-04 15:51 kgv Relationship added child of 0025146
2014-09-09 16:37 kgv Assigned To san => apl
2014-09-09 17:49 apl Note Added: 0031525
2014-09-09 17:49 apl Assigned To apl => bugmaster
2014-09-09 17:49 apl Status resolved => reviewed
2014-09-09 18:05 mkv Assigned To bugmaster => mkv
2014-09-09 18:13 git Note Added: 0031527
2014-09-09 20:41 mkv Note Added: 0031532
2014-09-09 20:42 mkv Test case number => Not needed
2014-09-09 20:42 mkv Assigned To mkv => kgv
2014-09-09 20:42 mkv Status reviewed => assigned
2014-09-09 22:08 git Note Added: 0031533
2014-09-09 22:08 kgv Note Added: 0031534
2014-09-09 22:08 kgv Assigned To kgv => bugmaster
2014-09-09 22:08 kgv Status assigned => resolved
2014-09-09 22:09 kgv Status resolved => reviewed
2014-09-10 10:47 bugmaster Assigned To bugmaster => mkv
2014-09-10 18:43 git Note Added: 0031594
2014-09-16 11:46 mkv Note Added: 0031739
2014-09-16 12:05 mkv Note Added: 0031740
2014-09-16 12:06 mkv Note Added: 0031741
2014-09-16 14:11 git Note Added: 0031751
2014-09-16 14:11 mkv Assigned To mkv => kgv
2014-09-16 14:11 mkv Status reviewed => assigned
2014-09-16 14:48 kgv Assigned To kgv => ibs
2014-09-17 12:24 kgv Note Added: 0031793
2014-09-17 12:24 kgv Assigned To ibs => bugmaster
2014-09-17 12:24 kgv Status assigned => resolved
2014-09-17 12:24 kgv Status resolved => reviewed
2014-09-17 12:26 kgv Additional Information Updated View Revisions
2014-09-19 13:46 bugmaster Assigned To bugmaster => mkv
2014-09-19 15:48 git Note Added: 0031905
2014-09-22 10:03 mkv Note Added: 0031930
2014-09-22 10:03 mkv Assigned To mkv => bugmaster
2014-09-22 10:03 mkv Status reviewed => tested
2014-09-26 09:59 bugmaster Note Added: 0032193
2014-09-26 09:59 bugmaster Assigned To bugmaster => kgv
2014-09-26 09:59 bugmaster Status tested => feedback
2014-09-26 10:00 bugmaster Note Edited: 0032193 View Revisions
2014-09-26 10:05 bugmaster Note Edited: 0032193 View Revisions
2014-09-26 10:05 bugmaster Assigned To kgv => san
2014-09-26 14:49 bugmaster Changeset attached => occt master eaf5c5e0
2014-09-26 14:49 bugmaster Assigned To san => bugmaster
2014-09-26 14:49 bugmaster Status feedback => verified
2014-09-26 14:49 bugmaster Resolution open => fixed
2014-09-29 08:12 san Note Added: 0032278
2014-09-29 08:12 san Status verified => feedback
2014-09-29 08:12 san Resolution fixed => reopened
2014-09-29 10:59 bugmaster Note Added: 0032285
2014-09-29 10:59 bugmaster Status feedback => tested
2014-09-29 10:59 bugmaster Note Edited: 0032285 View Revisions
2014-09-29 15:33 bugmaster Note Added: 0032302
2014-09-29 15:33 bugmaster Status tested => verified
2014-09-29 15:33 bugmaster Resolution reopened => fixed
2014-09-29 15:33 bugmaster Assigned To bugmaster => kgv
2014-09-29 23:14 git Note Added: 0032345
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker